From 0b776929e1c303c969dbb63c32f4e5aaa73c44b4 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Wed, 18 Jul 2012 19:45:49 +0200
Subject: Provide deprecated dispatcher

--HG--
extra : source : 8be619f60c74b96720de0a8094056dbb79649f2a
---
 lib/dispatcher.rb |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)
 create mode 100644 lib/dispatcher.rb

diff --git a/lib/dispatcher.rb b/lib/dispatcher.rb
new file mode 100644
index 0000000..09b5d96
--- /dev/null
+++ b/lib/dispatcher.rb
@@ -0,0 +1,8 @@
+class Dispatcher
+  def self.to_prepare(&block)
+    ::ActiveSupport::Deprecation.warn(
+      "Dispatcher.to_prepare is deprected. Use Rails.configuration.to_prepare instead."
+    )
+    Rails.configuration.to_prepare(&block)
+  end
+end
-- 
1.7.1


